Kerbal Space Program - Bug #1240

Parachutes causing instability
08/27/2013 02:00 PM - Ratzap
Description

Testing against the stock game (on win 7 64 bit) with a very simple 4 part rocket | noticed that a parachute caused a large amount of
instability when attempting to turn (eg gravity turn) inducing unrecoverable somersaulting in the rocket. | tried various items of similar
or higher mass/drag in the same position but they did not provoke any such instability. | went back to the mk 16 parachute, copied
the part.cfg and started changing it's values in an attempt to narrow down what the problem was. In the end it proved to be none of
them. My final test flight had a small mass, no drag over 0.2 (not even opened) and yet the instability still occurred. | can only
conclude that the problem is inherent in parachute objects in general - ie in ModuleParachute.

Of note is that when | loaded my other GameData containing FAR, the issue was much less pronounced to the extent that the rocket
did not have to abort. Not a huge priority problem since it's easy enough to work around in stock with reaction wheels etc but worth
knowing about.

To reproduce: probodobodyne OKTO2, FL-T800 fuel tank, LV-T30 engine and the parachute on top. Config values | ended up
changing:

mass = 0.05 (was 0.1)
angularDrag = 1 (was 3)
stowedDrag = 0.2 (was 0.22)
semiDeployedDrag = 0.2 (was 1)
fullyDeployedDrag = 0.2 (was 500)

History

#1 - 08/30/2013 09:19 PM - imjustmatthew
- File Bug1240.craft added

- File Bug1240NoChute.craft added

- Status changed from New to Confirmed

- % Done changed from 0 to 10

- Platform Any added

- Platform deleted (Windows)

Confirmed with Linux. Steps to reproduce:

1. Select the attached Bug1240NoChute craft and launch.
2. After a few second execute gravity turn
3. Observe normal behavior
4. Add Mk16 parachute or load Bug1240 craft and launch
5. After a few seconds execute gravity turn
6. Observe out of control pitch/yaw in turn axis.
7. Revert to launch
8. Deploy Chute
9. Accelerate gently until chute deploys
10. Cut Chute
11. Continue launch and observe normal behavior of rocket

Craft files are attached. Use (or non-use) of ASAS during launch does not seem to have an impact on the outcome. Maybe this is the desired
behavior, but it seems odd.

System Info:
Linux 3.8.0-29-generic #42-Ubuntu SMP Tue Aug 13 19:40:39 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

GPU:
Product Name : GeForce GTX 460
VBIOS Version : 70.04.2E.00.70
Total : 1023 MB Used : 616 MB Free : 407 MB
Free Memory: 12139MB (37.7891%)
Software versions:

KSP build id = 276 2013-07-25_15-23-00 Branch: master

Mono JIT compiler version 2.10.8.1 (Debian 2.10.8.1-5ubuntul)

#2 - 07/17/2016 09:24 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#3 - 07/17/2016 10:47 PM - Claw

- Status changed from Needs Clarification to Moot
- % Done changed from 0 to 100

- Platform Linux, OSX, Windows added

- Platform deleted (Any)

Files

Bug1240.craft 4.83 KB 08/30/2013 imjustmatthew
Bug1240NoChute.craft 3.61 KB 08/30/2013 imjustmatthew
